<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue\AvatarUpdatedAction;

use UnexpectedValueException;




class AvatarEventType
{
    


    const UPDATED = 0;
    


    const CREATED = 1;
    


    const DELETED = 2;

    private static $valueToName = [
        self::UPDATED => 'UPDATED',
        self::CREATED => 'CREATED',
        self::DELETED => 'DELETED',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

